package com.kingdee.eas.custom.integration.feishu;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractFeishuApprovalGroupInfo extends com.kingdee.shr.base.syssetting.SHRBaseItemInfo implements Serializable 
{
    public AbstractFeishuApprovalGroupInfo()
    {
        this("id");
    }
    protected AbstractFeishuApprovalGroupInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 飞书审批分组 's 分组名称 property 
     */
    public FeishuI18nResourcesInfo getGroupName()
    {
        return (FeishuI18nResourcesInfo)get("groupName");
    }
    public void setGroupName(FeishuI18nResourcesInfo item)
    {
        put("groupName", item);
    }
    /**
     * Object: 飞书审批分组 's 审批定义的说明 property 
     */
    public FeishuI18nResourcesInfo getRemark()
    {
        return (FeishuI18nResourcesInfo)get("remark");
    }
    public void setRemark(FeishuI18nResourcesInfo item)
    {
        put("remark", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("DAFFF593");
    }
}